libzypp 17.37.10

zypp::bit::Mask< TInt, _begin, _size > Struct Template Reference

A bitmaks of _size 1-bits starting at bit _begin. More...

`#include <zypp/Bit.h>`

## Public Types
using | IntT = TInt

## Static Public Attributes
static const IntT | value = bit_detail::Gen1Bits<IntT,_size>::value << _begin
static const IntT | inverted = ~value

## Detailed Description

template<class TInt, unsigned _begin, unsigned _size>
struct zypp::bit::Mask< TInt, _begin, _size >

A bitmaks of _size 1-bits starting at bit _begin.

Definition at line 72 of file Bit.h.

## Member Typedef Documentation

## ◆ IntT

template<class TInt, unsigned _begin, unsigned _size>

using zypp::bit::Mask< TInt, _begin, _size >::IntT = TInt

Definition at line 74 of file Bit.h.

## Member Data Documentation

## ◆ value

template<class TInt, unsigned _begin, unsigned _size>

const IntT zypp::bit::Mask< TInt, _begin, _size >::value = bit_detail::Gen1Bits<IntT,_size>::value << _begin
| static

Definition at line 75 of file Bit.h.

## ◆ inverted

template<class TInt, unsigned _begin, unsigned _size>

const IntT zypp::bit::Mask< TInt, _begin, _size >::inverted = ~value
| static

Definition at line 76 of file Bit.h.

The documentation for this struct was generated from the following file:

- zypp/Bit.h